<!-- Load django-bootstrap files -->
{% load bootstrap5 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
<!-- Load custom CSS/JavaScript files -->
{% load static %}
<!-- Load bootstrap icons -->
{% load bootstrap_icons %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>On Cloud 10</title>
    <script src="{% static 'js/load_game.js' %}"></script>
    <script src="{% static 'js/jquery-3.7.1.min.js' %}"></script>
    <link rel="shortcut icon" href="{% static 'favicon.ico' %}">
</head>
<body style="background-color: rgba(13, 64, 199, 0.8);">
    
    <div class="container-fluid">
        <div class="row">
            <div class="col-20">
                <div class="p-4 mb">
                    <div class="d-flex align-items-center">
                        <div class="bg-warning rounded-pill mx-auto fs-1 text-center"
                        style="width: fit-content; padding-left: 1%;
                        padding-right: 1%;">Game code: {{ game_id }}</div>
                    </div>
                </div>
            </div>
            <div class="col-20">
                <div class="p-4 mb">
                    <div class="d-flex align-items-center">
                        <div class="bg-warning rounded-pill mx-auto fs-5 text-center" 
                        style="width: 430px;">Be sure to save your progress after each round!</div>
                    </div>
                </div>
            </div>
            <form class="mb-0" action="{% url 'home_page' %}" method="get">
                <div class="row mt-5 justify-content-start">
                    <div class="col-6 col-sm-6">
                        <button type="submit" class="btn btn-warning rounded-circle btn-lg"
                        style="width: 70px; height: 70px; margin-left: 4%;">
                        {% bs_icon 'house-door-fill' size='30px' %}
                        </button>
                    </div>
                    <div class="col-6 col-sm-6">
                        <button type="button" class="btn rounded-circle btn-lg"
                        style="background-color: black; color: white;"
                        onclick="savePlayersProgress()" id="save_button"
                        onmouseover="this.style.backgroundColor='rgb(45, 43, 43)'"
                        onmouseout="this.style.backgroundColor='black'">
                        {% bs_icon 'floppy-fill' size='50px' %}
                        </button>
                        <div class="modal fade" id="savedNotification" tabindex="-1" 
                        aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered modal-sm">
                                <div class="modal-content" style="align-items: center;">
                                    <div class="modal-body">
                                        <div class="spinner-border" role="status"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <form method="post" id="players_progress">
            {% csrf_token %}
            <div class="row mt-5 justify-content-center">
                <div class="row mt-5" id="players">
                    {% for player in players %}
                    <div class="col-6">
                        <div style="background-color: rgb(50, 156, 50);">
                            <div class="d-flex bg-warning rounded-pill mx-auto mb-4 fs-4 text-center" 
                            style="width: fit-content; padding-left: 1%;
                            padding-right: 1%;">{{ player.name }}</div>
                            <div class="form-check mb-4" style="padding: 0 1%;">
                                <div class="btn-toolbar mb-5" role="toolbar">
                                    <span style="color: white; margin-right: 10px;">Phase</span>
                                    <div class="btn-group d-flex flex-wrap" role="group">
    
                                        <button type="button" class="btn btn-outline-secondary" name="p{{ forloop.counter }}_phase"
                                        style="background-color: white; border-color: black; color: black;"
                                        value="1" id="{{ player.phase }}"
                                        onmouseover="this.style.backgroundColor='rgb(233, 81, 81)'; this.style.color='white';"
                                        onmouseout="resetBackgroundColor(this)"
                                        onclick="this.classList.add('highlighted');">1</button>
    
                                        <button type="button" class="btn btn-outline-secondary" name="p{{ forloop.counter }}_phase"
                                        style="background-color: white; border-color: black; color: black"
                                        value="2" id="{{ player.phase }}"
                                        onmouseover="this.style.backgroundColor='rgb(233, 81, 81)'; this.style.color='white';"
                                        onmouseout="resetBackgroundColor(this)"
                                        onclick="this.classList.add('highlighted');">2</button>    
    
                                        <button type="button" class="btn btn-outline-secondary" name="p{{ forloop.counter }}_phase"
                                        style="background-color: white; border-color: black; color: black"
                                        value="3" id="{{ player.phase }}"
                                        onmouseover="this.style.backgroundColor='rgb(233, 81, 81)'; this.style.color='white';"
                                        onmouseout="resetBackgroundColor(this)"
                                        onclick="this.classList.add('highlighted');">3</button>

                                        <button type="button" class="btn btn-outline-secondary" name="p{{ forloop.counter }}_phase"
                                        style="background-color: white; border-color: black; color: black"
                                        value="4" id="{{ player.phase }}"
                                        onmouseover="this.style.backgroundColor='rgb(233, 81, 81)'; this.style.color='white';"
                                        onmouseout="resetBackgroundColor(this)"
                                        onclick="this.classList.add('highlighted');">4</button>

                                        <button type="button" class="btn btn-outline-secondary" name="p{{ forloop.counter }}_phase"
                                        style="background-color: white; border-color: black; color: black"
                                        value="5" id="{{ player.phase }}"
                                        onmouseover="this.style.backgroundColor='rgb(233, 81, 81)'; this.style.color='white';"
                                        onmouseout="resetBackgroundColor(this)"
                                        onclick="this.classList.add('highlighted');">5</button>

                                        <button type="button" class="btn btn-outline-secondary" name="p{{ forloop.counter }}_phase"
                                        style="background-color: white; border-color: black; color: black"
                                        value="6" id="{{ player.phase }}"
                                        onmouseover="this.style.backgroundColor='rgb(233, 81, 81)'; this.style.color='white';"
                                        onmouseout="resetBackgroundColor(this)"
                                        onclick="this.classList.add('highlighted');">6</button>

                                        <button type="button" class="btn btn-outline-secondary" name="p{{ forloop.counter }}_phase"
                                        style="background-color: white; border-color: black; color: black"
                                        value="7" id="{{ player.phase }}"
                                        onmouseover="this.style.backgroundColor='rgb(233, 81, 81)'; this.style.color='white';"
                                        onmouseout="resetBackgroundColor(this)"
                                        onclick="this.classList.add('highlighted');">7</button>

                                        <button type="button" class="btn btn-outline-secondary" name="p{{ forloop.counter }}_phase"
                                        style="background-color: white; border-color: black; color: black"
                                        value="8" id="{{ player.phase }}"
                                        onmouseover="this.style.backgroundColor='rgb(233, 81, 81)'; this.style.color='white';"
                                        onmouseout="resetBackgroundColor(this)"
                                        onclick="this.classList.add('highlighted');">8</button>

                                        <button type="button" class="btn btn-outline-secondary" name="p{{ forloop.counter }}_phase"
                                        style="background-color: white; border-color: black; color: black"
                                        value="9" id="{{ player.phase }}"
                                        onmouseover="this.style.backgroundColor='rgb(233, 81, 81)'; this.style.color='white';"
                                        onmouseout="resetBackgroundColor(this)"
                                        onclick="this.classList.add('highlighted');">9</button>

                                        <button type="button" class="btn btn-outline-secondary" name="p{{ forloop.counter }}_phase"
                                        style="background-color: white; border-color: black; color: black"
                                        value="10" id="{{ player.phase }}"
                                        onmouseover="this.style.backgroundColor='rgb(233, 81, 81)'; this.style.color='white';"
                                        onmouseout="resetBackgroundColor(this)"
                                        onclick="this.classList.add('highlighted');">10</button>

                                    </div>
                                </div>
                                <span style="color: white; margin-right: 10px;"
                                    class="mb-4">Total Score</span>
                                <div class="input-group d-flex flex-wrap">
                                    <input type="number" class="form-control mb-4" value="{{ player.score }}"
                                    id="p{{ forloop.counter }}_score" required>
                                    <button class="btn btn-primary mb-4" type="button" 
                                    onclick="incrementScore(this)" style="border-color: black;"
                                    id="{{ forloop.counter }}">+5</button>
                                    <button class="btn btn-primary mb-4" type="button" 
                                    id="{{ forloop.counter }}" style="border-color: black; margin-right: 3px;"
                                    onclick="decrementScore(this)">-5</button>
                                    <div class="invalid-feedback" style="font-weight: 400; 
                                    color:darkred; font-size: large;">
                                    Please enter a valid score for the player.
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <input type="hidden" value="{{ player.id }}" id="p{{ forloop.counter }}_id">
                    {% endfor %}
                </div>
            </div>
        </form>
    </div>
    <script>
        // Get the number of players in the current game
        var numbPlayers = `{{ players|length }}`;
    </script>
</body>
</html>